/*
** Module   :HISTORY.CPP
** Abstract :
**
** Copyright (C) Sergey I. Yevtushenko
**
** Log: Tue  26/11/2002 Created
**
*/

#include <history.h>
#include <string.h>

History::~History()
{
    RemoveAll();
}

void History::PutItem(char* pItem)
{
    if(!pItem || !*pItem)
        return;

    //Search item and remove if it matches
    //passed one
    for(int i = 0; i < Count(); i++)
    {
        if(!GetItem(i))
            continue;

        if(!strcmp(GetItem(i), pItem))
        {
            Free(Remove(i));
            break;
        }
    }

    if(dwLast == dwCount)
        Free(Remove(Count() - 1));

    At(str_dup(pItem), 0);
}

void History::FillList(ListBox* pBox)
{
    if(!pBox)
        return;

    pBox->RemoveAll();

    for(int i = 0; i < Count(); i++)
        pBox->add_at_end(GetItem(i));
}

char* History::GetItem(int item)
{
    return (char*)Get(item);
}

